Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.flat.train.prop
Class GradientWorker

    java.lang.Object
      org.encog.neural.flat.train.prop.GradientWorker

All Implemented Interfaces:
  EngineTask

    public class GradientWorker

extends Object
implements EngineTask

Worker class for the mulithreaded training of flat networks.

Constructor Summary
`GradientWorker(FlatNetwork theNetwork, TrainFlatNetworkProp theOwner, MLDataSet theTraining, int theLow, int theHigh, double[] flatSpot, ErrorFunction ef)` Construct a gradient worker.

Method Summary
`FlatNetwork` | `getNetwork()`
`double[]` | `getWeights()`
`void` | `run()` Perform the gradient calculation for the specified index range.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GradientWorker

    public GradientWorker(FlatNetwork theNetwork,
                          TrainFlatNetworkProp theOwner,
                          MLDataSet theTraining,
                          int theLow,
                          int theHigh,
                          double[] flatSpot,
                          ErrorFunction ef)

  Construct a gradient worker.

  Parameters:
    `theNetwork` - The network to train.
    `theOwner` - The owner that is doing the training.
    `theTraining` - The training data.
    `theLow` - The low index to use in the training data.
    `theHigh` - The high index to use in the training data.

Method Detail

### getNetwork

    public final FlatNetwork getNetwork()

  Returns:
    The network being processed.

### getWeights

    public final double[] getWeights()

  Returns:
    The weights for this network.

### run

    public final void run()

  Perform the gradient calculation for the specified index range.

  Specified by:
    `run` in interface `EngineTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.